import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;


public class LineTestCanvas extends MIDlet implements CommandListener {
    private Display display;
    private Command salir; 
    private Canvas micanvas; 

    //Constructor
    public LineTestCanvas() {

	display=Display.getDisplay(this);

	//Creamos la pantalla principal
	micanvas = new Canvas() {
	
	   public void paint(Graphics g) {
	
      		// Tamao del rea de dibujo
      		int ancho=this.getWidth();
      		int alto=this.getHeight();
      		
      		System.out.println("ancho = " + ancho);
      		System.out.println("alto = " + alto);
      	
      		// Limpiamos la pantalla
	        g.setColor(255,255,255);
	        g.fillRect(0,0,ancho, alto);
 		g.setGrayScale(0);

		//Pintamos los ejes de coordenadas
		g.drawLine(ancho/2,0,ancho/2,alto);
		g.drawLine(0,alto/2,ancho,alto/2);

		//Llevamos el origen de coordenadas al centro 
		g.translate(ancho/2, alto/2);
        	
		//Pintamos con lneas de puntos un aspa
 		g.setStrokeStyle(Graphics.DOTTED);
		int aspancho= ancho/4;
		int aspalto = alto/4;
		g.drawLine(-aspancho,-aspalto,aspancho,aspalto);
		g.drawLine(-aspancho,aspalto,aspancho,-aspalto);
    	}
     };
     
     //Creamos el comando de salir
        salir=new Command("Salir",Command.EXIT, 3);
	
        //aadimos el comando al Canvas y activamos el oyente
	micanvas.addCommand(salir);
	micanvas.setCommandListener(this);
    }
 
    //Mtodo que se llama cuando pasamos de Pausado a Activo
    protected void startApp(  ) {
        display.setCurrent(micanvas);
    }
 
    //Mtodo que se llama cuando pasamos de Activo a Pausado
    protected void pauseApp(  ) {
    }
 
    //Mtodo que se llama cuando se destruye el midlet
    protected void destroyApp(boolean incondicional) {
    }

    //Mtodo para el tratamiento de datos de teclado 
   public void commandAction(Command c, Displayable d) {
	//Miramos si nos salimos o mostramos la alerta
	if (c ==salir) {
	   destroyApp(true);
	   notifyDestroyed();
        } else System.out.println("Otro comando pulsado");
   } 
}